regina::BanNone Class Reference
Vertex Enumeration

A do-nothing class that bans no disc types and marks no disc types. More...

`#include <enumerate/ntreeconstraint.h>`

Inheritance diagram for regina::BanNone:

## Protected Member Functions

| BanNone (NTriangulation *tri, int coords)
| Constructs and initialises the banned_ and marked_ arrays to be entirely `false`, as described in the BanConstraintBase superclass constructor. More...
void | init (const int *)
Protected Member Functions inherited from regina::BanConstraintBase
| BanConstraintBase (NTriangulation *tri, int coords)
| Constructs and initialises the banned_ and marked_ arrays to be entirely `false`. More...
| ~BanConstraintBase ()
| Destroys this object and all associated data. More...
template<class LPConstraint , typename Integer >
void | enforceBans (LPData< LPConstraint, Integer > &lp) const
| Enforces all bans described by this class in the given tableaux. More...
void | init (const int *columnPerm)
| Idetifies which disc types to ban and mark, and records the corresponding tableaux columns in the banned_ and marked_ arrays respectively. More...

## Static Protected Member Functions

static bool | supported (NormalCoords coords)
Static Protected Member Functions inherited from regina::BanConstraintBase
static bool | supported (NormalCoords coords)
| Indicates whether the given coordinate system is supported by this constraint class. More...

## Additional Inherited Members

Protected Attributes inherited from regina::BanConstraintBase
NTriangulation * | tri_
| The triangulation with which we are working. More...
int | coords_
| The normal or almost normal coordinate system in which we are working. More...
bool * | banned_
| Indicates which columns of a tableaux correspond to banned disc types. More...
bool * | marked_
| Indicates which columns of a tableaux correspond to marked disc types. More...

## Detailed Description

A do-nothing class that bans no disc types and marks no disc types.

See the BanConstraintBase class notes for details on all member functions and structs.

Warning
  The API for this class has not yet been finalised. This means that the class interface may change in new versions of Regina, without maintaining backward compatibility. If you use this class directly in your own code, please watch the detailed changelogs upon new releases to see if you need to make changes to your code.

Python:
  Not present.

The documentation for this class was generated from the following file:

- enumerate/ntreeconstraint.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).